unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxInspectorNode6, NxControls6,
  NxInspector6, NxInspectorNodeClasses6, Vcl.StdCtrls, NxCollection6;

type
  TForm1 = class(TForm)
    NextInspector61: TNextInspector6;
    NxInspectorNode61: TNxInspectorNode6;
    NxSpinInspectorNode61: TNxSpinInspectorNode6;
    NxInspectorNode62: TNxInspectorNode6;
    NxSpinInspectorNode62: TNxSpinInspectorNode6;
    NxCheckBoxInspectorNode61: TNxCheckBoxInspectorNode6;
    NxColorPaletteInspectorNode61: TNxColorPaletteInspectorNode6;
    NxComboBoxInspectorNode61: TNxComboBoxInspectorNode6;
    NxCheckBoxInspectorNode62: TNxCheckBoxInspectorNode6;
    Button1: TButton;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    NxPictureInspectorNode61: TNxPictureInspectorNode6;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  with NextInspector61.Nodes.Add(NextInspector61.SelectedNode, TNxProgressInspectorNode6) do
  begin
    Caption := 'Progress';
  end;
  with NextInspector61.Nodes.Add(NextInspector61.SelectedNode, TNxTrackBarInspectorNode6) do
  begin
    Caption := 'TrackBar';
    AutoAssign := True;
  end;
  with NextInspector61.Nodes.Add(NextInspector61.SelectedNode, TNxMemoInspectorNode6) do
  begin
    Caption := 'Memo';
    NodeHeight := 48;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NextInspector61.Associates.Add(Edit1);
end;

end.
